Monitors
Update Monitor
Update a monitor’s settings.
PATCH
/
api
/
agent
/
monitors
/
{id}
Update Monitor
curl --request PATCH \
--url https://encrata.com/api/agent/monitors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"frequency": "<string>",
"change_detection": "<string>",
"status": "<string>",
"tracked_fields": "<string>"
}
'import requests
url = "https://encrata.com/api/agent/monitors/{id}"
payload = {
"name": "<string>",
"frequency": "<string>",
"change_detection": "<string>",
"status": "<string>",
"tracked_fields": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
frequency: '<string>',
change_detection: '<string>',
status: '<string>',
tracked_fields: '<string>'
})
};
fetch('https://encrata.com/api/agent/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authentication
Requires an API key in theAuthorization header.
Authorization: Bearer YOUR_API_KEY
Path parameters
string
required
The monitor’s unique identifier (UUID).
Request
All fields are optional only include the fields you want to update.string
Updated display name.
string
Updated run frequency:
monthly or quarterly.string
Updated detection mode:
diff_only or full_refresh.string
Pause or resume:
active or paused.string
JSON-encoded array of field names to track. Empty array
"[]" tracks all fields.Available fields: first_name, last_name, company, job_role, city, country, bio, industry, education, validityExample request
curl -X PATCH https://encrata.com/api/monitors/a1b2c3d4-... \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"name": "Updated name",
"frequency": "quarterly",
"tracked_fields": "[\"company\",\"job_role\"]"
}'
Response
Returns the updated monitor object.Was this page helpful?
⌘I
Update Monitor
